"use strict";
/**
 * @license
 * Copyright Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.setAreaHref = void 0;
const url_builders_js_1 = require("../../builders/url_builders.js");
/**
 * Sets the Href attribute from the given Url.
 */
function setAreaHref(area, url) {
    const sanitizedUrl = (0, url_builders_js_1.unwrapUrlOrSanitize)(url);
    if (sanitizedUrl !== undefined) {
        area.href = sanitizedUrl;
    }
}
exports.setAreaHref = setAreaHref;
