"use strict";
/**
 * @license
 * Copyright Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.setButtonFormaction = void 0;
const url_builders_js_1 = require("../../builders/url_builders.js");
/**
 * Sets the Formaction attribute from the given Url.
 */
function setButtonFormaction(button, url) {
    const sanitizedUrl = (0, url_builders_js_1.unwrapUrlOrSanitize)(url);
    if (sanitizedUrl !== undefined) {
        button.formAction = sanitizedUrl;
    }
}
exports.setButtonFormaction = setButtonFormaction;
