"use strict";
/**
 * @license
 * Copyright Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.setFormAction = void 0;
const url_builders_js_1 = require("../../builders/url_builders.js");
/**
 * Sets the Action attribute from the given Url.
 */
function setFormAction(form, url) {
    const sanitizedUrl = (0, url_builders_js_1.unwrapUrlOrSanitize)(url);
    if (sanitizedUrl !== undefined) {
        form.action = sanitizedUrl;
    }
}
exports.setFormAction = setFormAction;
