/**
 * @license
 * Copyright Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
/**
 * @fileoverview Safe iframe helpers and go/intents-for-iframes-for-closure
 */
import { SafeHtml } from '../../internals/html_impl.js';
import { TrustedResourceUrl } from '../../internals/resource_url_impl.js';
/** Sets the Src attribute using a TrustedResourceUrl */
export declare function setIframeSrc(iframe: HTMLIFrameElement, v: TrustedResourceUrl): void;
/** Sets the Srcdoc attribute using a SafeHtml */
export declare function setIframeSrcdoc(iframe: HTMLIFrameElement, v: SafeHtml): void;
