"use strict";
/**
 * @license
 * Copyright Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.setIframeSrcdoc = exports.setIframeSrc = void 0;
/**
 * @fileoverview Safe iframe helpers and go/intents-for-iframes-for-closure
 */
const html_impl_js_1 = require("../../internals/html_impl.js");
const resource_url_impl_js_1 = require("../../internals/resource_url_impl.js");
/** Sets the Src attribute using a TrustedResourceUrl */
function setIframeSrc(iframe, v) {
    iframe.src = (0, resource_url_impl_js_1.unwrapResourceUrl)(v).toString();
}
exports.setIframeSrc = setIframeSrc;
/** Sets the Srcdoc attribute using a SafeHtml */
function setIframeSrcdoc(iframe, v) {
    iframe.srcdoc = (0, html_impl_js_1.unwrapHtml)(v);
}
exports.setIframeSrcdoc = setIframeSrcdoc;
