"use strict";
/**
 * @license
 * Copyright Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.globalEval = exports.fetchResourceUrl = void 0;
const script_impl_js_1 = require("../../internals/script_impl.js");
var fetch_js_1 = require("./fetch.js");
Object.defineProperty(exports, "fetchResourceUrl", { enumerable: true, get: function () { return fetch_js_1.fetchResourceUrl; } });
/**
 * Evaluates a SafeScript value in the given scope using eval.
 *
 * Strongly consider avoiding this, as eval blocks CSP adoption and does not
 * benefit from compiler optimizations.
 */
function globalEval(win, script) {
    const trustedScript = (0, script_impl_js_1.unwrapScript)(script);
    let result = win.eval(trustedScript);
    if (result === trustedScript) {
        // https://crbug.com/1024786 manifesting in workers.
        result = win.eval(trustedScript.toString());
    }
    return result;
}
exports.globalEval = globalEval;
