/**
 * @license
 * Copyright Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
import { Url } from '../../builders/url_builders.js';
/**
 * windowOpen calls {@link Window.open} on the given {@link Window}, given a
 * target {@link Url}.
 */
export declare function windowOpen(win: Window, url: Url, target?: string, features?: string): Window | null;
/**
 * Returns CSP nonce, if set for any script tag.
 */
export declare function getScriptNonce(doc?: Document): string;
/**
 * Returns CSP nonce, if set for any style tag.
 */
export declare function getStyleNonce(doc?: Document): string;
