"use strict";
/**
 * @license
 * Copyright Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.workerGlobalScopeImportScripts = exports.createWorker = exports.createSharedWorker = exports.windowOpen = exports.getStyleNonce = exports.getScriptNonce = exports.objectUrlFromSafeSource = exports.serviceWorkerContainerRegister = exports.rangeCreateContextualFragment = exports.setLocationHref = exports.locationReplace = exports.locationAssign = exports.globalEval = exports.fetchResourceUrl = exports.domParserParseXml = exports.domParserParseHtml = exports.domParserParseFromString = exports.documentWrite = exports.documentExecCommand = exports.setSvgUseHref = exports.setSvgAttribute = exports.setStyleTextContent = exports.setScriptTextContent = exports.setScriptSrc = exports.setObjectData = exports.setLinkWithResourceUrlHrefAndRel = exports.setLinkHrefAndRel = exports.setInputFormaction = exports.setIframeSrcdoc = exports.setIframeSrc = exports.setFormAction = exports.setEmbedSrc = exports.setElementPrefixedAttribute = exports.setElementOuterHtml = exports.setElementInnerHtml = exports.setElementAttribute = exports.elementInsertAdjacentHtml = exports.buildPrefixedAttributeSetter = exports.setButtonFormaction = exports.setBaseHref = exports.setAreaHref = exports.setAnchorHref = void 0;
/**
 * @fileoverview This file re-exports all of the wrappers to ensure that we have
 * a clearly defined interface.
 */
var anchor_js_1 = require("./elements/anchor.js");
Object.defineProperty(exports, "setAnchorHref", { enumerable: true, get: function () { return anchor_js_1.setAnchorHref; } });
var area_js_1 = require("./elements/area.js");
Object.defineProperty(exports, "setAreaHref", { enumerable: true, get: function () { return area_js_1.setAreaHref; } });
var base_js_1 = require("./elements/base.js");
Object.defineProperty(exports, "setBaseHref", { enumerable: true, get: function () { return base_js_1.setBaseHref; } });
var button_js_1 = require("./elements/button.js");
Object.defineProperty(exports, "setButtonFormaction", { enumerable: true, get: function () { return button_js_1.setButtonFormaction; } });
var element_js_1 = require("./elements/element.js");
Object.defineProperty(exports, "buildPrefixedAttributeSetter", { enumerable: true, get: function () { return element_js_1.buildPrefixedAttributeSetter; } });
Object.defineProperty(exports, "elementInsertAdjacentHtml", { enumerable: true, get: function () { return element_js_1.elementInsertAdjacentHtml; } });
Object.defineProperty(exports, "setElementAttribute", { enumerable: true, get: function () { return element_js_1.setElementAttribute; } });
Object.defineProperty(exports, "setElementInnerHtml", { enumerable: true, get: function () { return element_js_1.setElementInnerHtml; } });
Object.defineProperty(exports, "setElementOuterHtml", { enumerable: true, get: function () { return element_js_1.setElementOuterHtml; } });
Object.defineProperty(exports, "setElementPrefixedAttribute", { enumerable: true, get: function () { return element_js_1.setElementPrefixedAttribute; } });
var embed_js_1 = require("./elements/embed.js");
Object.defineProperty(exports, "setEmbedSrc", { enumerable: true, get: function () { return embed_js_1.setEmbedSrc; } });
var form_js_1 = require("./elements/form.js");
Object.defineProperty(exports, "setFormAction", { enumerable: true, get: function () { return form_js_1.setFormAction; } });
var iframe_js_1 = require("./elements/iframe.js");
Object.defineProperty(exports, "setIframeSrc", { enumerable: true, get: function () { return iframe_js_1.setIframeSrc; } });
Object.defineProperty(exports, "setIframeSrcdoc", { enumerable: true, get: function () { return iframe_js_1.setIframeSrcdoc; } });
var input_js_1 = require("./elements/input.js");
Object.defineProperty(exports, "setInputFormaction", { enumerable: true, get: function () { return input_js_1.setInputFormaction; } });
var link_js_1 = require("./elements/link.js");
Object.defineProperty(exports, "setLinkHrefAndRel", { enumerable: true, get: function () { return link_js_1.setLinkHrefAndRel; } });
Object.defineProperty(exports, "setLinkWithResourceUrlHrefAndRel", { enumerable: true, get: function () { return link_js_1.setLinkWithResourceUrlHrefAndRel; } });
var object_js_1 = require("./elements/object.js");
Object.defineProperty(exports, "setObjectData", { enumerable: true, get: function () { return object_js_1.setObjectData; } });
var script_js_1 = require("./elements/script.js");
Object.defineProperty(exports, "setScriptSrc", { enumerable: true, get: function () { return script_js_1.setScriptSrc; } });
Object.defineProperty(exports, "setScriptTextContent", { enumerable: true, get: function () { return script_js_1.setScriptTextContent; } });
var style_js_1 = require("./elements/style.js");
Object.defineProperty(exports, "setStyleTextContent", { enumerable: true, get: function () { return style_js_1.setStyleTextContent; } });
var svg_js_1 = require("./elements/svg.js");
Object.defineProperty(exports, "setSvgAttribute", { enumerable: true, get: function () { return svg_js_1.setSvgAttribute; } });
var svg_use_js_1 = require("./elements/svg_use.js");
Object.defineProperty(exports, "setSvgUseHref", { enumerable: true, get: function () { return svg_use_js_1.setSvgUseHref; } });
var document_js_1 = require("./globals/document.js");
Object.defineProperty(exports, "documentExecCommand", { enumerable: true, get: function () { return document_js_1.documentExecCommand; } });
Object.defineProperty(exports, "documentWrite", { enumerable: true, get: function () { return document_js_1.documentWrite; } });
var dom_parser_js_1 = require("./globals/dom_parser.js");
Object.defineProperty(exports, "domParserParseFromString", { enumerable: true, get: function () { return dom_parser_js_1.domParserParseFromString; } });
Object.defineProperty(exports, "domParserParseHtml", { enumerable: true, get: function () { return dom_parser_js_1.domParserParseHtml; } });
Object.defineProperty(exports, "domParserParseXml", { enumerable: true, get: function () { return dom_parser_js_1.domParserParseXml; } });
var global_js_1 = require("./globals/global.js");
Object.defineProperty(exports, "fetchResourceUrl", { enumerable: true, get: function () { return global_js_1.fetchResourceUrl; } });
Object.defineProperty(exports, "globalEval", { enumerable: true, get: function () { return global_js_1.globalEval; } });
var location_js_1 = require("./globals/location.js");
Object.defineProperty(exports, "locationAssign", { enumerable: true, get: function () { return location_js_1.locationAssign; } });
Object.defineProperty(exports, "locationReplace", { enumerable: true, get: function () { return location_js_1.locationReplace; } });
Object.defineProperty(exports, "setLocationHref", { enumerable: true, get: function () { return location_js_1.setLocationHref; } });
var range_js_1 = require("./globals/range.js");
Object.defineProperty(exports, "rangeCreateContextualFragment", { enumerable: true, get: function () { return range_js_1.rangeCreateContextualFragment; } });
var service_worker_container_js_1 = require("./globals/service_worker_container.js");
Object.defineProperty(exports, "serviceWorkerContainerRegister", { enumerable: true, get: function () { return service_worker_container_js_1.serviceWorkerContainerRegister; } });
var url_js_1 = require("./globals/url.js");
Object.defineProperty(exports, "objectUrlFromSafeSource", { enumerable: true, get: function () { return url_js_1.objectUrlFromSafeSource; } });
var window_js_1 = require("./globals/window.js");
Object.defineProperty(exports, "getScriptNonce", { enumerable: true, get: function () { return window_js_1.getScriptNonce; } });
Object.defineProperty(exports, "getStyleNonce", { enumerable: true, get: function () { return window_js_1.getStyleNonce; } });
Object.defineProperty(exports, "windowOpen", { enumerable: true, get: function () { return window_js_1.windowOpen; } });
var worker_js_1 = require("./globals/worker.js");
Object.defineProperty(exports, "createSharedWorker", { enumerable: true, get: function () { return worker_js_1.createSharedWorker; } });
Object.defineProperty(exports, "createWorker", { enumerable: true, get: function () { return worker_js_1.createWorker; } });
Object.defineProperty(exports, "workerGlobalScopeImportScripts", { enumerable: true, get: function () { return worker_js_1.workerGlobalScopeImportScripts; } });
