/**
 * @license
 * Copyright Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
import '../../environment/dev.js';
import { SafeHtml } from '../../internals/html_impl.js';
/** Safely parses a string using the HTML parser. */
export declare function domParserParseHtml(parser: DOMParser, html: SafeHtml): Document;
/**
 * Safely parses a string using the XML parser. If the XML document is found to
 * contain any elements from the HTML or SVG namespaces, an error is thrown for
 * security reasons.
 */
export declare function domParserParseXml(parser: DOMParser, xml: string): XMLDocument;
/** Safely parses a string using the HTML or XML parser. */
export declare function domParserParseFromString(parser: DOMParser, content: SafeHtml, contentType: DOMParserSupportedType): Document;
